﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_SHORTCUTS') 
 CREATE TABLE T_BAS_SHORTCUTS (
FID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSHORTCUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEFAULTSHORTCUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPINSTRUCTIONS NVARCHAR(256) DEFAULT ' ' NOT NULL,
FKEYCODE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE(),
FMODIFYDATE DATETIME
);

EXEC P_ALTERPK 'PK_T_BAS_SHORTCUTS', 'T_BAS_SHORTCUTS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BAS_SHORTCUTS') CREATE INDEX IDX_BAS_SHORTCUTS ON T_BAS_SHORTCUTS ( FOPERATIONNUM );



