﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_THIRDAPPS_CONFIG')
 CREATE TABLE T_BAS_THIRDAPPS_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FCORPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCORPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCORPSECRET VARCHAR(256) DEFAULT ' ' NOT NULL,
FTHIRDAPPTYPE BIGINT DEFAULT 0 NOT NULL,
FDATA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFYDATE DATETIME
);

EXEC P_ALTERPK 'PK_BAS_THIRDAPPS_CONFIG', 'T_BAS_THIRDAPPS_CONFIG', 'FID', '1';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_IMMAPPING' AND KSQL_COL_NAME ='FTHIRDAPPCORPID')
 ALTER TABLE T_BAS_IMMAPPING ADD (FTHIRDAPPCORPID VARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_IMMAPPING' AND KSQL_COL_NAME ='FTHIRDAPPUSERNAME')
 ALTER TABLE T_BAS_IMMAPPING ADD (FTHIRDAPPUSERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BAS_IMMAPPING' AND KSQL_COL_NAME ='FCREATEDATE')
 ALTER TABLE T_BAS_IMMAPPING ADD (FCREATEDATE DATETIME DEFAULT GETDATE() NOT NULL);
