﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_ROLESMAINPAGE')
 CREATE TABLE T_BAS_ROLESMAINPAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FROLEID VARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_USERSMAINPAGE')
 CREATE TABLE T_BAS_USERSMAINPAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_USERTYPESMAINPAGE')
 CREATE TABLE T_BAS_USERTYPESMAINPAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FUSERTYPEID BIGINT DEFAULT 0 NOT NULL
);


 EXEC P_ALTERPK 'PK_BAS_ROLESMAINPAGE', 'T_BAS_ROLESMAINPAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_ROLESMAINPAGE' AND KSQL_INDNAME = 'IDX_ROLES_FROLEID') CREATE INDEX IDX_ROLES_FROLEID ON T_BAS_ROLESMAINPAGE ( FROLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_ROLESMAINPAGE' AND KSQL_INDNAME = 'IDX_ROLES_FSCHEMEID') CREATE INDEX IDX_ROLES_FSCHEMEID ON T_BAS_ROLESMAINPAGE ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_BAS_USERSMAINPAGE', 'T_BAS_USERSMAINPAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_USERSMAINPAGE' AND KSQL_INDNAME = 'IDX_USERS_FSCHEMEID') CREATE INDEX IDX_USERS_FSCHEMEID ON T_BAS_USERSMAINPAGE ( FSCHEMEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_USERSMAINPAGE' AND KSQL_INDNAME = 'IDX_USERS_FUSERID') CREATE INDEX IDX_USERS_FUSERID ON T_BAS_USERSMAINPAGE ( FUSERID );


 EXEC P_ALTERPK 'PK_BAS_USERTYPESMAINPAGE', 'T_BAS_USERTYPESMAINPAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_USERTYPESMAINPAGE' AND KSQL_INDNAME = 'IDX_UTYPE_FSCHEMEID') CREATE INDEX IDX_UTYPE_FSCHEMEID ON T_BAS_USERTYPESMAINPAGE ( FSCHEMEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_BAS_USERTYPESMAINPAGE' AND KSQL_INDNAME = 'IDX_UTYPESMAINPAGE') CREATE INDEX IDX_UTYPESMAINPAGE ON T_BAS_USERTYPESMAINPAGE ( FUSERTYPEID );
