﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_WELINK')
 CREATE TABLE T_BAS_WELINK (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID VARCHAR(150) DEFAULT ' ' NOT NULL,
FAPPNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FAPPSECRET VARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BAS_DAILY_ONLINEMAX')
 CREATE TABLE T_BAS_DAILY_ONLINEMAX (
FID BIGINT DEFAULT 0 NOT NULL,
FTIME BIGINT DEFAULT 0 NOT NULL,
FMINUTE BIGINT DEFAULT 0 NOT NULL,
FONLINEUSERNUM BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTEGERFIELD BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD1 BIGINT DEFAULT 0 NOT NULL,
FINTEGERFIELD2 BIGINT DEFAULT 0 NOT NULL,
FDATETIMEFIELD DATETIME,
FDATETIMEFIELD1 DATETIME,
FDATETIMEFIELD2 DATETIME,
FCLIENT VARCHAR(50) DEFAULT ' ' NOT NULL
);

EXEC P_ALTERPK 'PK_BAS_WELINK', 'T_BAS_WELINK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WELINK_FAPPID') CREATE INDEX IDX_WELINK_FAPPID ON T_BAS_WELINK ( FAPPID );


 EXEC P_ALTERPK 'PK_BAS_DAILY_ONLINEMAX', 'T_BAS_DAILY_ONLINEMAX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ONLINEMAX_FMINUTE') CREATE INDEX IDX_ONLINEMAX_FMINUTE ON T_BAS_DAILY_ONLINEMAX ( FMINUTE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ONLINEMAX_FTIME') CREATE INDEX IDX_ONLINEMAX_FTIME ON T_BAS_DAILY_ONLINEMAX ( FTIME );